# wxRichTextParagraphStyleDefinition Class Reference
[Rich Text]

`#include </home/work/projects/wx/2.9/wx/interface/wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextParagraphStyleDefinition:
[legend]

## Detailed Description

This class represents a paragraph style definition, usually added to a wxRichTextStyleSheet.

##

Library: wxRichText
Category: Rich Text

## Public Member Functions

| wxRichTextParagraphStyleDefinition (const wxString &name=wxEmptyString)
| Constructor.
virtual | ~wxRichTextParagraphStyleDefinition ()
| Destructor.
const wxString & | GetNextStyle () const
| Returns the style that should normally follow this style.
void | SetNextStyle (const wxString &name)
| Sets the style that should normally follow this style.

List of all members.

## Constructor & Destructor Documentation

wxRichTextParagraphStyleDefinition::wxRichTextParagraphStyleDefinition | ( | const wxString & | name = `wxEmptyString` | ) |

Constructor.

virtual wxRichTextParagraphStyleDefinition::~wxRichTextParagraphStyleDefinition | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

const wxString& wxRichTextParagraphStyleDefinition::GetNextStyle | ( |  | ) | const

Returns the style that should normally follow this style.

void wxRichTextParagraphStyleDefinition::SetNextStyle | ( | const wxString & | name | ) |

Sets the style that should normally follow this style.

|  | [ top ]